Bug 1236286 - QSerialPort part of Qt is missing
Summary: QSerialPort part of Qt is missing
Keywords:
Status: CLOSED DUPLICATE of bug 1526479
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-qt5-qtbase
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1057910 1526387 1526479 1526480
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-27 10:14 UTC by Frank Büttner
Modified: 2017-12-21 12:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-15 15:40:04 UTC


Attachments (Terms of Use)
The spec file for it (8.48 KB, text/x-matlab)
2017-12-14 17:13 UTC, Frank Büttner
no flags Details
The spec file for it (8.40 KB, text/x-matlab)
2017-12-15 13:42 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2015-06-27 10:14:19 UTC
Description of problem:
The part of Qt is missing.

Comment 1 Erik van Pienbroek 2015-06-27 11:34:27 UTC
Correct, it has been put up for review @ bug 1057910 but nobody was interested in reviewing it yet

Comment 2 Fedora End Of Life 2015-11-04 11:20:27 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Frank Büttner 2015-11-04 11:32:35 UTC
Same for F22

Comment 4 Taylor Braun-Jones 2015-11-07 04:15:12 UTC
Same for F23

Comment 5 Fedora End Of Life 2016-11-24 11:57:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Frank Büttner 2016-11-24 15:20:33 UTC
Same on F25

Comment 7 angelo.scarna 2016-11-26 13:34:34 UTC
It's possible update qt5 version 5.7.0 on mingw

Thanks.

Comment 8 Fedora Admin XMLRPC Client 2017-01-05 20:57:41 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2017-01-05 22:17:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora End Of Life 2017-11-16 19:11:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-12-12 10:06:03 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Frank Büttner 2017-12-12 15:54:47 UTC
Same for F26

Comment 13 Sandro Mani 2017-12-12 15:58:19 UTC
Since I suppose you have the means to test the package, you could package it (using an existing similar package as a start point, i.e. [1]). If you can propose an rpm, I can review it (or if you are not a packager, I can get it though the review process).


[1] https://src.fedoraproject.org/rpms/mingw-qt5-qtsensors/tree/master

Comment 14 Frank Büttner 2017-12-14 17:13:00 UTC
Hi Sandro,
I have create the needed srpm file on base of the git one.
Tested with mock and fc26.

Comment 15 Frank Büttner 2017-12-14 17:13:28 UTC
Created attachment 1368121 [details]
The spec file for it

Comment 16 Sandro Mani 2017-12-14 18:32:24 UTC
Did you also manage to test whether it actually works in operation?

Comment 17 Frank Büttner 2017-12-15 10:34:54 UTC
I have an test project for it.
But this fails, because another Qt part is missing.
I will try to create an spec file for the next missing part.

Comment 18 Frank Büttner 2017-12-15 13:42:21 UTC
So I have test my app under Win32. It will work.
So both Qt modules will work under Windows.

Comment 19 Frank Büttner 2017-12-15 13:42:52 UTC
Created attachment 1368486 [details]
The spec file for it

Comment 20 Sandro Mani 2017-12-15 15:40:04 UTC

*** This bug has been marked as a duplicate of bug 1526479 ***


Note You need to log in before you can comment on or make changes to this bug.